com.corticon.eclipse.core.util

## Class ModelAPIStateManager

- java.lang.Object
- - com.corticon.eclipse.core.util.ModelAPIStateManager

-     public class ModelAPIStateManager
      extends java.lang.Object

  This class facilitates sharing of model API state instances across multiple editors.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelAPIStateManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addModelAPIStateManagerListener(IModelAPIStateManagerListener aIModelAPIStateManagerListener)` Add a model API state manager listener (i.e., subscribe).
    `static IModelAPIState` | `getModelAPIState(org.eclipse.emf.common.util.URI aURI)`
    `static java.util.List` | `getModelAPIStateManagerListeners()` Returns the list of model API state manager listeners, lazy-creating the list if necessary.
    `static boolean` | `isModelAPIStateEstablished()`
    `static void` | `releaseModelAPIState(IModelAPIState aIModelAPIState)`
    `static void` | `removeModelAPIStateManagerListener(IModelAPIStateManagerListener aIModelAPIStateManagerListener)` Remove a model API state manager instance (i.e., un-subscribe).
    `static void` | `rollbackTransaction()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelAPIStateManager

          public ModelAPIStateManager()

  - ### Method Detail

    - #### addModelAPIStateManagerListener

          public static void addModelAPIStateManagerListener(IModelAPIStateManagerListener aIModelAPIStateManagerListener)

      Add a model API state manager listener (i.e., subscribe).
      Parameters:
        `aIModelAPIStateManagerListener` - Listener instance to add to subscription list.

    - #### getModelAPIState

          public static IModelAPIState getModelAPIState(org.eclipse.emf.common.util.URI aURI)

    - #### getModelAPIStateManagerListeners

          public static java.util.List getModelAPIStateManagerListeners()

      Returns the list of model API state manager listeners, lazy-creating the list if necessary.
      Returns:
        List of listeners.

    - #### isModelAPIStateEstablished

          public static boolean isModelAPIStateEstablished()

    - #### releaseModelAPIState

          public static void releaseModelAPIState(IModelAPIState aIModelAPIState)

    - #### removeModelAPIStateManagerListener

          public static void removeModelAPIStateManagerListener(IModelAPIStateManagerListener aIModelAPIStateManagerListener)

      Remove a model API state manager instance (i.e., un-subscribe).
      Parameters:
        `aIModelAPIStateManagerListener` - instance to remove from subscription list.

    - #### rollbackTransaction

          public static void rollbackTransaction()

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.